Subject: bug#36171: 25.1; Emacs displays Hebrew text incorrectly

From: Raoul Comninos <[email-masked]>
Date: Wed, 12 Jun 2019 21:27:10 +0200

The problem is not with the lamed. It does have the dagesh. The vowel 
which should be below the lamed is not directly underneath it but 
misplaced. To be clear, the problem seems to be with how Emacs reads 
these particular documents. If I type the Hebrew myself directly into 
Emacs there are no problems with the display. These documents were 
originally created in other word processors: Word, Nota Bene , and 
Google Docs. They were converted then to plain text (utf-8) which is the 
format they are now in: plain text.

I am currently trying the latest Emacs from git. I have also installed 
gir1.2-harfbuzz-0.0. Is that the correct program?

On 2019/06/12 20:48, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Raoul Comninos <[email-masked]>
>> Date: Wed, 12 Jun 2019 20:19:52 +0200
>>
>> I have libm17n-0 and libm17n-dev installed.
>>
>> I changed to dejavu-sans-mono. (No change to the Hebrew font display.)
>>
>> Below follows the information you asked for:
>>
>> ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
>>
>>                position: 935 of 9244927 (0%), column: 7
>>               character: לּ‎ (displayed as לּ‎) (codepoint 64316, #o175474,
>> #xfb3c)
>>                 charset: unicode-bmp (Unicode Basic Multilingual Plane
>> (U+0000..U+FFFF))
>> code point in charset: 0xFB3C
>>                  script: hebrew
>>                  syntax: w     which means: word
>>                category: .:Base, R:Right-to-left (strong)
>>                to input: type "C-x 8 RET fb3c" or "C-x 8 RET HEBREW
>> LETTER LAMED WITH DAGESH"
>>             buffer code: #xEF #xAC #xBC
>>               file code: #xEF #xAC #xBC (encoded by coding system utf-8-unix)
>>                 display: by this font (glyph code)
>>       xft:-unknown-DejaVu
>> Sans-normal-normal-normal-*-29-*-*-*-*-0-iso10646-1 (#x13DB)
>>
>> Character code properties: customize what to show
>>     name: HEBREW LETTER LAMED WITH DAGESH
>>     general-category: Lo (Letter, Other)
>>     decomposition: (1500 1468) ('ל' 'ּ')
> So you are saying that this character was not displayed correctly,
> i.e. DAGESH was not inside LAMED?  If not, what is the problem with
> displaying this character and the characters around it?
>
> Anyway, it is very strange that only you see these problems.  Would it
> be possible for you to build the latest master branch of the Emacs
> development repository?  There we support text shaping with HarfBuzz
> (which you will need to install separately before building Emacs), so
> any potential problems with libm17n-flt you have installed should not
> affect the display.